aboutsummaryrefslogtreecommitdiffstats
path: root/run-integration-tests.sh
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2016-02-10 18:19:40 +0100
committerSimon Brandhof <simon.brandhof@sonarsource.com>2016-02-10 18:19:40 +0100
commit5f7f72ce0fdc6cb87d2f9377ae6b48e248974aca (patch)
tree086d4ac4597a8eff353645fd4517f4a63bf5aa1f /run-integration-tests.sh
parent323b19aff959444c27bec972761248b5194c42a6 (diff)
downloadsonarqube-5f7f72ce0fdc6cb87d2f9377ae6b48e248974aca.tar.gz
sonarqube-5f7f72ce0fdc6cb87d2f9377ae6b48e248974aca.zip
Move plugins ITs to QA and enable perf tests
Diffstat (limited to 'run-integration-tests.sh')
-rwxr-xr-xrun-integration-tests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/run-integration-tests.sh b/run-integration-tests.sh
new file mode 100755
index 00000000000..ca90257796c
--- /dev/null
+++ b/run-integration-tests.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -euo pipefail
+
+ORCHESTRATOR_CONFIG_URL=$1
+CATEGORY=$2
+shift 2
+
+cd it
+mvn verify \
+ -Dorchestrator.configUrl=$ORCHESTRATOR_CONFIG_URL \
+ -Dcategory=$CATEGORY \
+ -Dsource.skip=true -B -e -V $*